//
//  InterfaceController.swift
//  scrollTable WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/03/31.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {

    // テーブルとOutlet接続する
    @IBOutlet weak var myTable: WKInterfaceTable!
    
    // 表示するデータ
    let colors = ["red", "blue", "green", "yellow", "black", "white", "↑先頭に戻る"]
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // テーブルの行数を設定する
        myTable.setNumberOfRows(colors.count, withRowType: "TheRow")
        
        // 各行のラベルにテキストを設定する
        for index in 0..<myTable.numberOfRows {
            // インデックス番号を指定して行を取り出す
            let row = myTable.rowControllerAtIndex(index) as! TableRowController
            // ラベルにテキストを設定する
            row.myLabel.setText(colors[index])
        }
    }
    
    // 行のタップを処理する
    override func table(table: WKInterfaceTable, didSelectRowAtIndex rowIndex: Int) {
        // タップされたテーブルを確認する
        if table == myTable {
            // タップされたのが最後の行ならば、先頭までスクロールする
            if rowIndex == (table.numberOfRows - 1) {
                table.scrollToRowAtIndex(0)
            }
        }
    }
    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
