//
//  InterfaceController.swift
//  doubleRowsTable_as! WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/03/26.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {
    
    // テーブルをOutlet接続する
    @IBOutlet weak var myTable: WKInterfaceTable!
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // テーブルに２種類のRowタイプを設定する
        myTable.setRowTypes(["rowA", "rowB"])
        
        // 1行目を取り出す
        let row1 = myTable.rowControllerAtIndex(0) as! RowAController
        // 1行目のラベルにテキストを表示する
        row1.myLabel.setText("がんばりました。")
        
        // 2行目を取り出す
        let row2 = myTable.rowControllerAtIndex(1) as! RowBController
        // 2行目のイメージに画像データを設定する
        row2.myImage.setImageNamed("usa")
        // 2行目のラベルにテキストを設定する
        row2.myLabel.setText("休憩タイム")
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
