//
//  InterfaceController.swift
//  tableInsertRows WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/03/28.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {
    
    // テーブルをOutlet接続する
    @IBOutlet weak var myTable: WKInterfaceTable!
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // テーブルに２種類のRowタイプを設定する
        myTable.setRowTypes(["rowA", "rowB"])
        
        // 最初から作ってある２行を削除する
        myTable.removeRowsAtIndexes(NSIndexSet(indexesInRange: NSMakeRange(0, 2)))
        
        // 改めて行を追加する
        myTable.insertRowsAtIndexes(NSIndexSet(index:0), withRowType: "rowA")
        myTable.insertRowsAtIndexes(NSIndexSet(index:1), withRowType: "rowA")
        myTable.insertRowsAtIndexes(NSIndexSet(index:2), withRowType: "rowB")
        myTable.insertRowsAtIndexes(NSIndexSet(index:3), withRowType: "rowA")
        myTable.insertRowsAtIndexes(NSIndexSet(index:4), withRowType: "rowB")
        
        // 1行目
        let row1 = myTable.rowControllerAtIndex(0) as? RowAController
        row1?.myLabel.setText("ハロー")
        
        // 2行目
        let row2 = myTable.rowControllerAtIndex(1) as? RowAController
        row2?.myLabel.setText("こんにちは")
        
        // 3行目
        let row3 = myTable.rowControllerAtIndex(2) as? RowBController
        row3?.myImage.setImageNamed("usa")
        row3?.myLabel.setText("休憩タイム")
        
        // 4行目
        let row4 = myTable.rowControllerAtIndex(3) as? RowAController
        row4?.myLabel.setText("サンキュー")
        
        // 5行目
        let row5 = myTable.rowControllerAtIndex(4) as? RowBController
        row5?.myImage.setImageNamed("buta")
        row5?.myLabel.setText("水泳")
        
    }
    
    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }
    
    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }
    
}
