//
//  InterfaceController.swift
//  plistTable WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/03/29.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {
    
    // テーブルをOutlet接続する
    @IBOutlet weak var myTable: WKInterfaceTable!

    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // tableData.plistのパスを取得する
        let dataPath = NSBundle.mainBundle().pathForResource("tableData", ofType: "plist")
        // plistのデータを配列に読み込む
        let dataList:NSArray? = NSArray(contentsOfFile: dataPath!)
        
        // 配列がnilでなければテーブルを作る
        if let rowList = dataList {
            // テーブルの行数を設定する
            myTable.setNumberOfRows(rowList.count, withRowType: "MyRow")
            // 配列のデータをラベルに表示する
            for index in 0..<rowList.count {
                // 配列から行データが入った辞書を取り込む
                let data = rowList[index] as! Dictionary<String, String>
                // テーブルの行を取り出す
                let row = myTable.rowControllerAtIndex(index) as! MyRowController
                // 行のラベルにテキストを設定する
                row.label1.setText(data["name"])
                row.label2.setText(data["num"])
            }
        }
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
