//
//  InterfaceController.swift
//  tablePushController WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/03/30.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {
    
    // テーブルとOutlet接続する
    @IBOutlet weak var myTable: WKInterfaceTable!
    
    // 表示するデータ
    let colors = ["green", "yellow", "red"]
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // テーブルに行数を設定する
        myTable.setNumberOfRows(colors.count, withRowType: "MyRow")
        // 各行のラベルのテキストを設定する
        for index in 0..<colors.count {
            let row = self.myTable.rowControllerAtIndex(index) as! MyRowController
            row.myLabel.setText(colors[index])
        }
        
    }
    
    // タップした行に応じたページへ移動する
    override func table(table: WKInterfaceTable, didSelectRowAtIndex rowIndex: Int) {
        // 移動先のインターフェースコントローラの識別子を作る
        let pageIdentifier = colors[rowIndex] + "Page"
        // pushでページを開く
        pushControllerWithName(pageIdentifier, context: nil)
    }


    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
